/// <reference types="cypress" />

describe("game should", () => {
  it("be able to restart itself", () => {
    cy.visit("/")
    cy.get(".div0.gray").should("be.visible")
    cy.get(".div1.red").should("be.visible")
    cy.get(".div2.red").should("be.visible").click()
    cy.get(".div0.blue").should("be.visible").click()
    cy.get(".div0.red").should("be.visible")
    cy.get(".div1.gray").should("be.visible")
    cy.get(".div2.gray").should("be.visible")
    cy.get(".restart").click()
    cy.get(".div2.red").should("be.visible")
  })

  it("display game over", () => {
    cy.visit("/")
    cy.get("[data-cy=game-over]").as("game-over").should("not.be.visible")

    cy.get(".div2.red").click()
    cy.get(".div0.blue").click()
    cy.get(".div11.red").click()
    cy.get(".div2.blue").click()
    cy.get(".div4.red").click()
    cy.get(".div11.blue").click()
    cy.get(".div3.red").click()
    cy.get(".div1.blue").click()
    cy.get(".div0.red").click()
    cy.get(".div2.blue").click()
    cy.get(".div8.red").click()
    cy.get(".div6.blue").click()
    cy.get(".div12.red").click()
    cy.get(".div7.blue").click()
    cy.get(".div13.red").click()
    cy.get(".div8.blue").click()
    cy.get(".div7.red").click()
    cy.get(".div5.blue").click()
    cy.get(".div5.red").click()
    cy.get(".div12.blue").click()
    cy.get(".div14.red").click()
    cy.get(".div11.blue").click()

    cy.get("@game-over").should("be.be.visible")
  })
})
